Loading...
Searching...
No Matches
pcl::cuda::DisparityToCloud Class Reference

Disparity to PointCloudAOS generator. More...

`#include </build/pcl-KfHoN9/pcl-1.15.0+dfsg/cuda/io/include/pcl/cuda/io/disparity_to_cloud.h>`

## Public Member Functions

template<template< typename > class Storage>
void | compute (const openni_wrapper::DepthImage::Ptr &depth_image, const openni_wrapper::Image::Ptr &image, float constant, typename PointCloudAOS< Storage >::Ptr &output, bool downsample=false, int stride=2, int smoothing_nr_iterations=0, int smoothing_filter_size=2)
template<template< typename > class Storage>
void | compute (const std::uint16_t *depth_image, const OpenNIRGB *rgb_image, int width, int height, float constant, typename PointCloudAOS< Storage >::Ptr &output, int smoothing_nr_iterations=0, int smoothing_filter_size=2)
void | compute (const openni_wrapper::DepthImage::Ptr &depth_image, float constant, PointCloudAOS< Device >::Ptr &output)
void | compute (const openni_wrapper::DepthImage::Ptr &depth_image, float constant, PointCloudAOS< Host >::Ptr &output)

## Detailed Description

Disparity to PointCloudAOS generator.

Definition at line 91 of file disparity_to_cloud.h.

## Member Function Documentation

## compute() [1/4]

template<template< typename > class Storage>

void pcl::cuda::DisparityToCloud::compute | ( | const openni_wrapper::DepthImage::Ptr & | depth_image,
|  | const openni_wrapper::Image::Ptr & | image,
|  | float | constant,
|  | typename PointCloudAOS< Storage >::Ptr & | output,
|  | bool | downsample = `false`,
|  | int | stride = `2`,
|  | int | smoothing_nr_iterations = `0`,
|  | int | smoothing_filter_size = `2`
| ) |  |

## compute() [2/4]

void pcl::cuda::DisparityToCloud::compute | ( | const openni_wrapper::DepthImage::Ptr & | depth_image,
|  | float | constant,
|  | PointCloudAOS< Device >::Ptr & | output
| ) |  |

## compute() [3/4]

void pcl::cuda::DisparityToCloud::compute | ( | const openni_wrapper::DepthImage::Ptr & | depth_image,
|  | float | constant,
|  | PointCloudAOS< Host >::Ptr & | output
| ) |  |

## compute() [4/4]

template<template< typename > class Storage>

void pcl::cuda::DisparityToCloud::compute | ( | const std::uint16_t * | depth_image,
|  | const OpenNIRGB * | rgb_image,
|  | int | width,
|  | int | height,
|  | float | constant,
|  | typename PointCloudAOS< Storage >::Ptr & | output,
|  | int | smoothing_nr_iterations = `0`,
|  | int | smoothing_filter_size = `2`
| ) |  |

The documentation for this class was generated from the following file:

- /build/pcl-KfHoN9/pcl-1.15.0+dfsg/cuda/io/include/pcl/cuda/io/disparity_to_cloud.h